/* General formatting: we use lots of hyperlinks, but we don't want them
 * to look like hyperlinks until we hover over them.
 */

.editlink {
    float: right;
    color: blue;
    text-decoration: underline;
    position: relative;
    margin: 0;
    padding: 0;
    top: -30px;
    left: 40px;

}

/* the schedule can be very wide, so override the 960gs stuff */

#main-section .container {
padding:0;
width:99%;
}

/* Relatively position everything inside the render */
div.calendar {
    display: block;
    position: relative;
    margin-bottom: 100px;
    margin-top: 30px;
}

div.calendar.edit {
    margin-right: 140px;
}


/* Above the schedule, we have headings */
div.headings {
    display: block;
    position: relative;

    left: 35px;
    height: 32px;
}

div.headings div.heading {
    position: absolute;
    display: block;

    overflow: hidden;

    top: 0px;
    width: 100px;
    text-align: center;

    font-size: 13px;
    font-weight: bold;
}

div.heading span.roomname {
    font-size: 9px;
}

div.heading a {
    color: blue;
}

div.heading a:hover {
    text-decoration: underline;
}

div.schedule-head {
    position: relative;
    overflow: visible;
    z-index: 10;
}

div.schedule-head .schedule-qrcode {
    height: 63px;
    vertical-align: top;
    float: left;
    margin-left: -3px;
    margin-top: -3px;
}

div.schedule-head .schedule-date {
    font-weight: normal;
    font-size: 36px;
    margin-left: 5px;
}

div.schedule-head .schedule-crew, .last-updated {
    font-size: 0.7pc;
}

/* Behind the schedule, we have a time grid. */
div.grid {
    display: block;
    position: relative;

    z-index: 0;
}

div.grid div.marker {
    position: absolute;
    display: block;

    overflow: hidden;

    width: 100%;

    border-top: 1px solid #e0e0e0;
    font-size: 11px;
    color: #606060;

    line-height: 1em;
}


/* Schedule blocks are absolutely positioned, with a fixed width and height.
 * Allow them to expand if we hover over them, so people can peek.
 */
div.schedule {
    display: block;
    position: relative;

    z-index: 1;
    left: 35px;
}

div.slot, div.meeting {
    display: block;

    padding: 1px;
    padding-top: 6px;
    padding-right: 6px;
    border: 1px;
    overflow: hidden;

    background-color: #ffffff;
}

div.slot, div.plenary {
    padding-top: 1px !important;
}

div.slot:hover, div.meeting:hover {
    height: auto !important;
    overflow: visible !important;
    z-index: 15 !important;
    opacity: 1.00 !important;
}

div.schedule div.slot, div.schedule div.meeting {
    position: absolute;
}

div.meeting.private {
    border-color: #FF0000 !important;
}

div.slot.private {
    border-color: #FF0000 !important;
    background-color: #F0F0F0;
}

div.overhead {
    border: 2px solid black !important;
}


/* Meeting block formatting */
div.meeting {
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    font-size: 15px;
    z-index: 5;
}

div.meeting span.time {
    display: none;
}

div.meeting span.title {
    display: block;
}

div.meeting span.description {
    display: block;
    font-size: 6px;
}

div.meeting span.room {
    display: block;
    font-size: 11px;
    color: #404040;
}

div.meeting ul.tracks, div.meeting ul.participants {
    list-style: none;
    margin: 0;
    padding: 0;
}

div.meeting ul.tracks li {
    display: inline;
    font-size: 10px;
}

div.meeting ul.participants li {
    display: inline;
    font-size: 8px;
}

/* Meetings have additional classes for their type, which we use to set
 * a pretty background colour.
 */
div.meeting.plenary                { background-color: #ffffe0; }
div.meeting.special                { background-color: #ffffe0; }
div.meeting.talk                   { background-color: #e0ffe0; }
div.meeting.presentation           { background-color: #e0ffe0; }

/*Orange text on a coloured background is a bit of a challenge
to read, so lets make the links black to improve contrast */
div.meeting a                      {color:black;}

/* Break and lunch */
div.slot.break, div.slot.lunch {
    font-family: sans-serif;
    font-size: 12px;

    color: #404040;
    background: rgba(255, 255, 255, 0.6);
    border: 1px solid rgba(0,0,0,0.2);

    z-index: 20;
}

div.slot.break span.title, div.slot.lunch span.title {
    display: block;
    text-align: center;
}


/* Unscheduled slots */
div.slot.open {
    border: 1px dashed #b0b0b0;
    -moz-border-radius: 6px;

    font-family: sans-serif;
    font-size: 12px;

    color: #404040;
}

div.slot.plenary {
    border: 1px dashed #f0f000;
    background-color: #fffff0;
    -moz-border-radius: 6px;

    font-family: sans-serif;
    font-size: 12px;

    color: #404000;
}

div.slot.closed {
    border: 1px dashed #f00000;
    background-color: #fff0f0;
    -moz-border-radius: 6px;

    font-family: sans-serif;
    font-size: 12px;

    color: #400000;
}

div.slot span.title {
    display: block;
    text-align: center;
}

div.slot span.roomsize {
    display: block;
    text-align: center;
}


/* Dock for unscheduled items is fixed to the right hand side */
div.unscheduled {
    display: block;
    position: fixed;
    overflow: auto;

    top: 0px;
    right: 0px;
    height: 100%;
    width: 140px;

    background-color: silver;

    z-index: 10;
}

div.unscheduled p.help {
    margin: 0;
    padding: 2px;
    border-bottom: 1px solid black;
    background-color: #ffff80;

    font-size: 11px;
}

div.unscheduled div.meeting {
    width: 100px;
    margin-left: 10px;
    margin-top: 10px;
}


/* Hints about requiredness */
div.meeting.required {
    opacity: 1.00;
}

div.meeting.interested {
    opacity: 0.70;
}

div.meeting.uninterested {
    opacity: 0.35;
}


/* Error while dragging */
div.meeting.error {
    border: 2px solid red !important;
    background-color: #fff0f0;
    color: red !important;
}

div.meeting.warning {
    border: 2px solid orange !important;
    background-color: #fffff0;
}

div.meeting.error span.errortext {
    font-weight: bold;
    font-size: 12px;
}

div.meeting.warning span.errortext {
    font-weight: bold;
    font-size: 12px;
    color: orange !important;
}


/* Warnings */
div.meeting ul.participants li.missing {
    font-weight: bold;
    font-size: 12px;
    color: red !important;
}

div.meeting ul.participants li.hide-attending {
    display: none;
}
